Bug 421021 - Hypervisor changes post 3.1.x needed to enable hardware
Hypervisor changes post 3.1.x needed to enable hardware
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
Depends On:
Blocks: 253746
  Show dependency treegraph
 
Reported: 2007-12-12 02:12 EST by Markus Armbruster
Modified: 2008-05-21 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
AMD Family 10/11 fixes for HV (7.70 KB, patch)
2007-12-19 10:23 EST, Bhavna Sarathy
no flags Details | Diff

  None (edit)
Description Markus Armbruster 2007-12-12 02:12:36 EST
We're missing xen-unstable cset 16093:

    # HG changeset patch
    # User Keir Fraser <keir@xensource.com>
    # Date 1192101114 -3600
    # Node ID 0d7d6804af2204dece108959f4fa40764bd2734f
    # Parent  49323c8b8633fc02164c8b949c2b55e167aeca1e
    x86: AMD Fam10/11 adjustments
    Signed-off-by: Jan Beulich <jbeulich@novell.com>

    Sync up affected files with 2.6.23-rc9.
    Signed-off-by: Keir Fraser <keir@xensource.com>

Without it, Xenoprof cannot work on AMD Barcelona.  There might be more problems
with those machines.
Comment 1 Markus Armbruster 2007-12-12 02:16:58 EST
Bhavana, is there anything else missing from the hypervisor we need for the
latest AMD hardware?
Comment 2 Bhavna Sarathy 2007-12-12 13:08:01 EST
Not that I'm aware of.
Comment 4 Markus Armbruster 2007-12-19 04:44:30 EST
The trouble with xen-unstable cset 16093 is that it mixes unrelated stuff:
Xenoprof hardware enablement, MTRR features, cleanups.  We need to extract the
relevant pieces.
Comment 5 Bhavna Sarathy 2007-12-19 10:19:53 EST
I discussed this issue we have been battling with Jan Beulich and Keir Fraser. 
The orginal patch that Jan submitted is a lot smaller than the mess that is c/s
16093.  Keir said that syncing up upstream resulted in the massive patch. 
The patch I'm about to attach is needed in the R5.2 HV. as similar changes have
already been made to the bare metal kernel to fix Barcelona.
Comment 6 Bhavna Sarathy 2007-12-19 10:23:18 EST
Created attachment 290031 [details]
AMD Family 10/11 fixes for HV
Comment 7 Bhavna Sarathy 2007-12-19 16:25:14 EST
Posted patch to RHML and virt list on 12/19
Comment 8 Don Zickus 2008-01-21 12:30:04 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 errata-xmlrpc 2008-05-21 11:03:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.